From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 10 September 2013<P>

Hi Leslie, welcome to the Blender! Great to see a new writer here. Please post your poems through the post+publish section and not on this message board - that's where all our poems are and can be read in the 'read latest' section. All the links are on the top of this page.
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 10 September 2013<P>

Loving the new Blender Kirk - thank you for the time, love and attention you put into this beautiful place/space.
<HR>
From: <a href="/blend/av.cgi?id=436">Jon</a><BR>
Date: 10 September 2013<P>

Thanks for the pick Kirk. You ever think of having a mobile version of the site? Something that would make it easier to navigate on phones? I have no knowledge in the area but I do find myself visiting the Blender on my phone more often than I do on my desktop. Anyway, thanks for keeping this place going.<BR>
<BR>
And congrats to the other front pagers.
<HR>